# samples/10_camera_recording/main.cpp File Reference

`#include "Error.h"`
`#include "Thread.h"`
`#include <Argus/Argus.h>`
`#include <EGLStream/EGLStream.h>`
`#include <EGLStream/NV/ImageNativeBuffer.h>`
`#include <NvVideoEncoder.h>`
`#include <NvApplicationProfiler.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <iostream>`
`#include <fstream>`

Go to the source code of this file.

## Classes

class | ArgusSamples::ConsumerThread

## Namespaces

namespace | ArgusSamples

## Defines

#define | PRODUCER_PRINT(...) printf("PRODUCER: " __VA_ARGS__)
#define | CONSUMER_PRINT(...) printf("CONSUMER: " __VA_ARGS__)
#define | CHECK_ERROR(expr)

## Functions

int | main (int argc, char *argv[])

## Define Documentation

#define CHECK_ERROR | ( | expr |  | ) |

Value:

    do { \
            if ((expr) < 0) { \
                abort(); \
                ORIGINATE_ERROR(#expr " failed"); \
            } \
        } while (0);

Definition at line 63 of file main.cpp.

#define CONSUMER_PRINT | ( | ... |  | ) | printf("CONSUMER: " __VA_ARGS__)

Definition at line 62 of file main.cpp.

#define PRODUCER_PRINT | ( | ... |  | ) | printf("PRODUCER: " __VA_ARGS__)

Definition at line 61 of file main.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 531 of file main.cpp.